Hlavní navigace

Debian má chybu v jádře a rozbíjí ext4, zatím neaktualizujte

9. 12. 2023

Sdílet

Rozbitý HDD pevný disk Autor: Depositphotos

Debian oznámil, že má vážnou chybu v jádře 6.1.64–1, která poškozuje souborové systémy ext4. Pozastavuje proto vydání aktualizované verze 12.3 a vývojáři se věnují opravám.

Chyba nevznikla v Debianu, ale už u vývojářů jádra samotného. Na problém v jaderném mailing listu upozornil Jan Kára z české pobočky SUSE. Problém je v interakci mezi iomap a kódem ext4, kdy IO zápisy končí na špatných místech a poškozují data.

V tuto chvíli tedy rozhodně neaktualizujte žádné systémy, uživatelé s nastavenou funkcí automatických aktualizací s UnattendedUpgrades by měli být obzvlášť opatrní.

Aktualizováno 10. prosince ve 22:40: Debian v repozitářích zveřejnil aktualizovanou verzi 12.4, která obsahuje opravené jádro verze 6.1.66–1. 

Našli jste v článku chybu?

Byl pro vás článek přínosný?